### Method

# WebKit CookieManager get_all_cookies

since: 2.42

#### Declaration [src]

    void
    webkit_cookie_manager_get_all_cookies (
      WebKitCookieManager* cookie_manager,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously get a list of `SoupCookie` from `cookie_manager`.

When the operation is finished, `callback` will be called. You can then call `webkit_cookie_manager_get_all_cookies_finish()` to get the result of the operation.

Available since: 2.42

This method completes asynchronously. Use `webkit_cookie_manager_get_all_cookies_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  (closure user_data): a `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.